Retrieve a list of Bills.
This endpoint retrieves a list of all Bills for the given Account within the specified Organization. Optional filters can be applied such as by date range, lock status, or other attributes. The list can also be paginated for easier management.
Documentation Index
Fetch the complete documentation index at: https://docs.m3ter.com/llms.txt
Use this file to discover all available pages before exploring further.
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
Specifies the maximum number of Bills to retrieve per page.
1 <= x <= 100The nextToken for multi-page retrievals. It is used to fetch the next page of Bills in a paginated list.
Optional filter. An Account ID - returns the Bills for the single specified Account.
Boolean flag specifying whether to include Bills with "locked" status.
Exclude Line Items
Include Bill Total
Only include Bills having the given status Indicates whether the Bill has passed human/manual approval.
PENDING, APPROVED The specific date (in ISO 8601 format) for which you want to retrieve Bills.
Only include Bills with bill date equal to or later than this date (in ISO-8601 format).
Only include Bills with bill dates earlier than this date (in ISO-8601 format).
Only include Bills with external invoice dates equal to or later than this date (in ISO-8601 format).
Only include Bills with external invoice dates earlier than this date (in ISO-8601 format).
Optional filter. The list of Bill IDs to retrieve.
List Bill entities by the bill job that last calculated them.
Comma separated list of additional fields.
Only include Bills using the specified bill frequency:
IMPORTANT!: Can only be used with the billDate query parameter.